local Options = UMT.Options
local Opt = UMT.Options.Opt

UMT.Options.Mods["ColorCodedStrategicIcons"] = {
    engineersOverlay = Opt(true),
    factoriesOverlay = Opt(true),
    siloOverlay = Opt(true),
    mexOverlay = Opt(true),
}

function Main()
    local options = UMT.Options.Mods["ColorCodedStrategicIcons"]
    Options.AddOptions("ColorCodedStrategicIcons", "Color Coded Strategic Icons", {
        Options.Filter("Show engineers overlays", options.engineersOverlay),
        Options.Filter("Show factories overlays", options.factoriesOverlay),
        Options.Filter("Show Nukes and TMLs overlays", options.siloOverlay),
        Options.Filter("Show Mex overlays", options.mexOverlay),
    })
end
